package scripts;

import com.stencyl.graphics.G;

import com.stencyl.behavior.Script;
import com.stencyl.behavior.ActorScript;
import com.stencyl.behavior.SceneScript;
import com.stencyl.behavior.TimedTask;

import com.stencyl.models.Actor;
import com.stencyl.models.GameModel;
import com.stencyl.models.actor.Animation;
import com.stencyl.models.actor.ActorType;
import com.stencyl.models.actor.Collision;
import com.stencyl.models.actor.Group;
import com.stencyl.models.Scene;
import com.stencyl.models.Sound;
import com.stencyl.models.Region;
import com.stencyl.models.Font;

import com.stencyl.Engine;
import com.stencyl.Input;
import com.stencyl.utils.Utils;

import nme.ui.Mouse;
import nme.display.Graphics;
import nme.display.BlendMode;
import nme.events.Event;
import nme.events.TouchEvent;
import nme.net.URLLoader;

import motion.Actuate;
import motion.easing.Back;
import motion.easing.Cubic;
import motion.easing.Elastic;
import motion.easing.Expo;
import motion.easing.Linear;
import motion.easing.Quad;
import motion.easing.Quart;
import motion.easing.Quint;
import motion.easing.Sine;



class Design_19_19_GUICounter extends ActorScript
{          	
	
 
 	public function new(dummy:Int, actor:Actor, engine:Engine)
	{
		super(actor, engine);	
		nameMap.set("Actor", "actor");

	}
	
	override public function init()
	{
		            setGameAttribute("SandDollarCount", 0);
        setGameAttribute("ShellCount", 0);
        setGameAttribute("StarfishCount", 0);
    addWhenDrawingListener(null, function(g:G, x:Float, y:Float, list:Array<Dynamic>):Void {
if(wrapper.enabled){
        g.drawString("" + getGameAttribute("StarfishCount"), 70, 8);
        g.drawString("" + getGameAttribute("SandDollarCount"), 200, 8);
        g.drawString("" + getGameAttribute("ShellCount"), 350, 8);
}
});
    addSceneCollisionListener(getActorType(1).ID, getActorType(5).ID, function(event:Collision, list:Array<Dynamic>):Void {
if(wrapper.enabled){
        setGameAttribute("SandDollarCount", (getGameAttribute("SandDollarCount") + 1));
}
});
    addSceneCollisionListener(getActorType(1).ID, getActorType(3).ID, function(event:Collision, list:Array<Dynamic>):Void {
if(wrapper.enabled){
        setGameAttribute("ShellCount", (getGameAttribute("ShellCount") + 1));
}
});
    addSceneCollisionListener(getActorType(1).ID, getActorType(7).ID, function(event:Collision, list:Array<Dynamic>):Void {
if(wrapper.enabled){
        setGameAttribute("StarfishCount", (getGameAttribute("StarfishCount") + 1));
}
});

	}	      	
	
	override public function forwardMessage(msg:String)
	{
		
	}
}