package scripts;

import com.stencyl.graphics.G;

import com.stencyl.behavior.Script;
import com.stencyl.behavior.ActorScript;
import com.stencyl.behavior.SceneScript;
import com.stencyl.behavior.TimedTask;

import com.stencyl.models.Actor;
import com.stencyl.models.GameModel;
import com.stencyl.models.actor.Animation;
import com.stencyl.models.actor.ActorType;
import com.stencyl.models.actor.Collision;
import com.stencyl.models.actor.Group;
import com.stencyl.models.Scene;
import com.stencyl.models.Sound;
import com.stencyl.models.Region;
import com.stencyl.models.Font;

import com.stencyl.Engine;
import com.stencyl.Input;
import com.stencyl.utils.Utils;

import nme.ui.Mouse;
import nme.display.Graphics;
import nme.display.BlendMode;
import nme.events.Event;
import nme.events.TouchEvent;
import nme.net.URLLoader;

import motion.Actuate;
import motion.easing.Back;
import motion.easing.Cubic;
import motion.easing.Elastic;
import motion.easing.Expo;
import motion.easing.Linear;
import motion.easing.Quad;
import motion.easing.Quart;
import motion.easing.Quint;
import motion.easing.Sine;



class Design_32_32_ApplyForce extends ActorScript
{          	
	
public var _RightControl:String;

public var _X:Float;

public var _DownControl:String;

public var _LeftControl:String;

public var _Y:Float;

public var _Force:Float;

public var _Radius:Float;

public var _UpControl:String;

public var _Mode:String;

 
 	public function new(dummy:Int, actor:Actor, engine:Engine)
	{
		super(actor, engine);	
		nameMap.set("Right Control", "_RightControl");
nameMap.set("X", "_X");
_X = 0.0;
nameMap.set("Down Control", "_DownControl");
nameMap.set("Left Control", "_LeftControl");
nameMap.set("Y", "_Y");
_Y = 0.0;
nameMap.set("Force", "_Force");
_Force = 10.0;
nameMap.set("Radius", "_Radius");
_Radius = 0.0;
nameMap.set("Up Control", "_UpControl");
nameMap.set("Mode", "_Mode");
_Mode = "";
nameMap.set("Actor", "actor");

	}
	
	override public function init()
	{
		
	}	      	
	
	override public function forwardMessage(msg:String)
	{
		
	}
}