package scripts;

import com.stencyl.graphics.G;

import com.stencyl.behavior.Script;
import com.stencyl.behavior.ActorScript;
import com.stencyl.behavior.SceneScript;
import com.stencyl.behavior.TimedTask;

import com.stencyl.models.Actor;
import com.stencyl.models.GameModel;
import com.stencyl.models.actor.Animation;
import com.stencyl.models.actor.ActorType;
import com.stencyl.models.actor.Collision;
import com.stencyl.models.actor.Group;
import com.stencyl.models.Scene;
import com.stencyl.models.Sound;
import com.stencyl.models.Region;
import com.stencyl.models.Font;

import com.stencyl.Engine;
import com.stencyl.Input;
import com.stencyl.utils.Utils;

import nme.ui.Mouse;
import nme.display.Graphics;
import nme.display.BlendMode;
import nme.events.Event;
import nme.events.TouchEvent;
import nme.net.URLLoader;

import motion.Actuate;
import motion.easing.Back;
import motion.easing.Cubic;
import motion.easing.Elastic;
import motion.easing.Expo;
import motion.easing.Linear;
import motion.easing.Quad;
import motion.easing.Quart;
import motion.easing.Quint;
import motion.easing.Sine;



class Design_18_18_Learnings extends ActorScript
{          	
	
public var _SandDollarCount:Float;

 
 	public function new(dummy:Int, actor:Actor, engine:Engine)
	{
		super(actor, engine);	
		nameMap.set("SandDollarCount", "_SandDollarCount");
_SandDollarCount = 0;
nameMap.set("Actor", "actor");

	}
	
	override public function init()
	{
		            _SandDollarCount = asNumber(0);
propertyChanged("_SandDollarCount", _SandDollarCount);
    addSceneCollisionListener(getActorType(1).ID, getActorType(5).ID, function(event:Collision, list:Array<Dynamic>):Void {
if(wrapper.enabled){
        _SandDollarCount = asNumber((_SandDollarCount + 1));
propertyChanged("_SandDollarCount", _SandDollarCount);
}
});
    addWhenDrawingListener(null, function(g:G, x:Float, y:Float, list:Array<Dynamic>):Void {
if(wrapper.enabled){
        g.drawString("" + _SandDollarCount, 80, 8);
}
});

	}	      	
	
	override public function forwardMessage(msg:String)
	{
		
	}
}